<?php 
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version		1.0.0
 * 
 * Theme Admin Options
 * Created by CMSMasters
 * 
 */


/* Filter for Options */
function handyman_services_theme_meta_fields($custom_all_meta_fields) {
	$cmsmasters_option = handyman_services_get_global_options();
	
	
	$cmsmasters_global_profile_post_color = (isset($cmsmasters_option['handyman-services' . '_profile_post_color']) && $cmsmasters_option['handyman-services' . '_profile_post_color'] !== '') ? $cmsmasters_option['handyman-services' . '_profile_post_color'] : '';
	
	
	$custom_all_meta_fields_new = array();
	
	
	if (
		(isset($_GET['post_type']) && $_GET['post_type'] == 'profile') || 
		(isset($_POST['post_type']) && $_POST['post_type'] == 'profile') || 
		(isset($_GET['post']) && get_post_type($_GET['post']) == 'profile') 
	) {
		foreach ($custom_all_meta_fields as $custom_all_meta_field) {
			if ($custom_all_meta_field['id'] == 'cmsmasters_profile_subtitle') {
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
				
				
				$custom_all_meta_fields_new[] = array( 
					'label'	=> esc_html__('Profile Color', 'handyman-services'), 
					'desc'	=> '', 
					'id'	=> 'cmsmasters_profile_color', 
					'type'	=> 'rgba', 
					'hide'	=> '', 
					'std'	=> $cmsmasters_global_profile_post_color 
				);
			} else {
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			}
		}
	} else {
		$custom_all_meta_fields_new = $custom_all_meta_fields;
	}
	
	
	return $custom_all_meta_fields_new;
}

add_filter('get_custom_all_meta_fields_filter', 'handyman_services_theme_meta_fields');

