<?php 
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version		1.0.0
 * 
 * Theme Admin Settings
 * Created by CMSMasters
 * 
 */


/* General Settings */
function handyman_services_theme_options_general_fields($options, $tab) {
	if ($tab == 'header') {
		$options[] = array( 
			'section' => 'header_section', 
			'id' => 'handyman-services' . '_header_button_check', 
			'title' => esc_html__('Header Button', 'handyman-services'), 
			'desc' => esc_html__('show', 'handyman-services'), 
			'type' => 'checkbox', 
			'std' => 0 
		);
		
		$options[] = array( 
			'section' => 'header_section', 
			'id' => 'handyman-services' . '_header_button_text', 
			'title' => esc_html__('Header Button Title', 'handyman-services'), 
			'desc' => esc_html__('Enter title for header button', 'handyman-services'), 
			'type' => 'text', 
			'std' => '', 
			'class' => ''
		);
		
		$options[] = array( 
			'section' => 'header_section', 
			'id' => 'handyman-services' . '_header_button_link', 
			'title' => esc_html__('Header Button Link', 'handyman-services'), 
			'desc' => esc_html__('Enter link for header button', 'handyman-services'), 
			'type' => 'text', 
			'std' => '', 
			'class' => ''
		);
	}
	
	
	return $options;
}

add_filter('cmsmasters_options_general_fields_filter', 'handyman_services_theme_options_general_fields', 10, 2);



/* Color Settings */
function handyman_services_theme_options_color_fields($options, $tab) {
	$defaults = handyman_services_color_schemes_defaults();
	
	
	if ($tab != 'header' && $tab != 'navigation' && $tab != 'header_top') {
		$options[] = array( 
			'section' => $tab . '_section', 
			'id' => 'handyman-services' . '_' . $tab . '_secondary', 
			'title' => esc_html__('Secondary Color', 'handyman-services'), 
			'desc' => esc_html__('Secondary color for some elements', 'handyman-services'), 
			'type' => 'rgba', 
			'std' => (isset($defaults[$tab])) ? $defaults[$tab]['secondary'] : $defaults['default']['secondary'] 
		);
	}
	
	
	return $options;
}

add_filter('cmsmasters_options_color_fields_filter', 'handyman_services_theme_options_color_fields', 10, 2);



/* Single Settings */
function handyman_services_theme_options_single_fields($options, $tab) {
	if ($tab == 'profile') {
		$options[] = array( 
			'section' => 'profile_section', 
			'id' => 'handyman-services' . '_profile_post_color', 
			'title' => esc_html__('Profile Color', 'handyman-services'), 
			'desc' => '', 
			'type' => 'rgba', 
			'std' => '#01a2a6' 
		);
	}
	
	
	return $options;
}

add_filter('cmsmasters_options_single_fields_filter', 'handyman_services_theme_options_single_fields', 10, 2);

