<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.0
 * 
 * Theme Content Composer Functions
 * Created by CMSMasters
 * 
 */


/* Register JS Scripts */
function handyman_services_theme_register_c_c_scripts() {
	global $pagenow;
	
	
	if ( 
		$pagenow == 'post-new.php' || 
		($pagenow == 'post.php' && isset($_GET['post']) && get_post_type($_GET['post']) != 'attachment') 
	) {
		wp_enqueue_script('handyman-composer-shortcodes-extend', get_template_directory_uri() . '/theme-framework/theme-style' . CMSMASTERS_THEME_STYLE . '/cmsmasters-c-c/js/cmsmasters-c-c-theme-extend.js', array('cmsmasters_composer_shortcodes_js'), '1.0.0', true);
		
		wp_localize_script('handyman-composer-shortcodes-extend', 'cmsmasters_theme_shortcodes', array( 
			'divider_field_extrashort_title' => 		esc_attr__('Extra Short', 'handyman-services'), 
			'blog_field_layout_mode_puzzle' => 			esc_attr__('Puzzle', 'handyman-services'), 
			'quotes_field_slider_type_title' => 		esc_attr__('Slider Type', 'handyman-services'), 
			'quotes_field_slider_type_descr' => 		esc_attr__('Choose your quotes slider style type', 'handyman-services'), 
			'quotes_field_type_choice_box' => 			esc_attr__('Boxed', 'handyman-services'), 
			'quotes_field_type_choice_center' => 		esc_attr__('Centered', 'handyman-services'), 
			'quotes_field_item_color_title' => 			esc_attr__('Color', 'handyman-services'), 
			'quotes_field_item_color_descr' => 			esc_attr__('Enter this quote custom color', 'handyman-services'),
			'counter_field_value_font_size_title' => 	esc_attr__('Value font size', 'handyman-services'),
			'counter_field_value_line_height_title' => 	esc_attr__('Value font size', 'handyman-services')
		));
	}
}

add_action('admin_enqueue_scripts', 'handyman_services_theme_register_c_c_scripts');



// Pricing Table Item Shortcode Attributes Filter
add_filter('cmsmasters_pricing_table_item_atts_filter', 'cmsmasters_pricing_table_item_atts');

function cmsmasters_pricing_table_item_atts() {
	return array( 
		'shortcode_id' => 			'', 
		'price' => 					'100', 
		'coins' => 					'', 
		'currency' => 				'$', 
		'period' => 				'', 
		'features' => 				'', 
		'best' => 					'', 
		'best_bg_color' => 			'', 
		'best_text_color' => 		'', 
		'button_show' => 			'', 
		'button_title' => 			'', 
		'button_link' => 			'#', 
		'button_target' => 			'', 
		'button_style' => 			'', 
		'button_font_family' => 	'', 
		'button_font_size' => 		'', 
		'button_line_height' => 	'', 
		'button_font_weight' => 	'bold', 
		'button_font_style' => 		'', 
		'button_padding_hor' => 	'', 
		'button_border_width' => 	'', 
		'button_border_style' => 	'', 
		'button_border_radius' => 	'', 
		'button_bg_color' => 		'', 
		'button_text_color' => 		'', 
		'button_border_color' => 	'', 
		'button_bg_color_h' => 		'', 
		'button_text_color_h' => 	'', 
		'button_border_color_h' => 	'', 
		'button_icon' => 			'', 
		'animation' => 				'', 
		'animation_delay' => 		'', 
		'classes' => 				'' 
	);
}


// Quotes Shortcode Attributes Filter
add_filter('cmsmasters_quotes_atts_filter', 'cmsmasters_quotes_atts');

function cmsmasters_quotes_atts() {
	return array( 
		'shortcode_id' => 		'',
		'mode' => 				'grid', 
		'type' => 				'boxed', 
		'columns' => 			'3', 
		'speed' => 				'10', 
		'animation' => 			'', 
		'animation_delay' => 	'', 
		'classes' => 			'' 
	);
}


// Quote Item Shortcode Attributes Filter
add_filter('cmsmasters_quote_atts_filter', 'cmsmasters_quote_atts');

function cmsmasters_quote_atts() {
	return array( 
		'shortcode_id' => 	'',
		'image' => 			'', 
		'name' => 			'', 
		'subtitle' => 		'', 
		'color' => 			'', 
		'link' => 			'', 
		'website' => 		'', 
		'classes' => 		'' 
	);
}


add_filter('cmsmasters_counter_atts_filter', 'cmsmasters_counter_atts');

function cmsmasters_counter_atts() {
	return array(  
		'shortcode_id' => 	'',
		'subtitle' => 		'', 
		'value' => 			'0', 
		'value_prefix' => 	'', 
		'value_suffix' => 	'',
		'value_size' =>		'',
		'value_space' =>	'',
		'color' => 			'', 
		'icon_type' => 		'icon', 
		'icon' => 			'', 
		'image' => 			'', 
		'icon_color' => 	'', 
		'icon_bg_color' => 	'', 
		'icon_bd_color' => 	'', 
		'classes' => 		'' 
    );
}


// Divider Shortcode Attributes Filter
add_filter('cmsmasters_divider_atts_filter', 'cmsmasters_divider_atts');

function cmsmasters_divider_atts() {
	return array( 
		'shortcode_id' => 		'',
		'width' => 			'short', 
		'extrashort' => 	'', 
		'height' => 		'1', 
		'style' => 			'solid', 
		'position' => 		'center', 
		'color' => 			'', 
		'margin_top' => 	'0', 
		'margin_bottom' => 	'0', 
		'classes' => 		'' 
	);
}
