/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version		1.0.0
 * 
 * Theme Content Composer Schortcodes Extend
 * Created by CMSMasters
 * 
 */


/**
 * Blog Extend
 */
var cmsmasters_blog_new_fields = {};


for (var id in cmsmastersShortcodes.cmsmasters_blog.fields) {
	if (id === 'layout_mode') {
		cmsmastersShortcodes.cmsmasters_blog.fields[id]['choises']['puzzle'] = cmsmasters_theme_shortcodes.blog_field_layout_mode_puzzle;
		
		
		cmsmasters_blog_new_fields[id] = cmsmastersShortcodes.cmsmasters_blog.fields[id];
	} else {
		cmsmasters_blog_new_fields[id] = cmsmastersShortcodes.cmsmasters_blog.fields[id];
	}
}


cmsmastersShortcodes.cmsmasters_blog.fields = cmsmasters_blog_new_fields;



/**
 * Posts Slider Extend
 */
var cmsmasters_posts_slider_new_fields = {};


for (var id in cmsmastersShortcodes.cmsmasters_posts_slider.fields) {
	if (id === 'amount') { // Delete Field
		delete cmsmastersShortcodes.cmsmasters_posts_slider.fields[id];
	} else if (id === 'columns') { // Delete Field Attribute
		delete cmsmastersShortcodes.cmsmasters_posts_slider.fields[id]['depend'];  
		
		
		cmsmasters_posts_slider_new_fields[id] = cmsmastersShortcodes.cmsmasters_posts_slider.fields[id];
	} else {
		cmsmasters_posts_slider_new_fields[id] = cmsmastersShortcodes.cmsmasters_posts_slider.fields[id];
	}
}


cmsmastersShortcodes.cmsmasters_posts_slider.fields = cmsmasters_posts_slider_new_fields;



/**
 * Quotes Extend
 */
var cmsmasters_quotes_new_fields = {};


for (var id in cmsmastersShortcodes.cmsmasters_quotes.fields) {
	if (id === 'mode') {
		cmsmasters_quotes_new_fields[id] = cmsmastersShortcodes.cmsmasters_quotes.fields[id];
		
		
		cmsmasters_quotes_new_fields['type'] = { 
			type : 		'radio', 
			title : 	cmsmasters_theme_shortcodes.quotes_field_slider_type_title, 
			descr : 	cmsmasters_theme_shortcodes.quotes_field_slider_type_descr, 
			def : 		'box', 
			required : 	true, 
			width : 	'half', 
			choises : { 
						'box' : 	cmsmasters_theme_shortcodes.quotes_field_type_choice_box, 
						'center' : 	cmsmasters_theme_shortcodes.quotes_field_type_choice_center 
			}, 
			depend : 	'mode:slider' 
		};
	} else {
		cmsmasters_quotes_new_fields[id] = cmsmastersShortcodes.cmsmasters_quotes.fields[id];
	}
}


cmsmastersShortcodes.cmsmasters_quotes.fields = cmsmasters_quotes_new_fields;



/**
 * Quote Item Extend
 */
var cmsmasters_quote_new_fields = {};


for (var id in cmsmastersMultipleShortcodes.cmsmasters_quote.fields) {
	if (id === 'subtitle') {
		cmsmasters_quote_new_fields[id] = cmsmastersMultipleShortcodes.cmsmasters_quote.fields[id];
		
		
		cmsmasters_quote_new_fields['color'] = { 
			type : 		'rgba', 
			title : 	cmsmasters_theme_shortcodes.quotes_field_item_color_title, 
			descr : 	cmsmasters_theme_shortcodes.quotes_field_item_color_descr, 
			def : 		'', 
			required : 	false, 
			width : 	'half'
		};
	} else {
		cmsmasters_quote_new_fields[id] = cmsmastersMultipleShortcodes.cmsmasters_quote.fields[id];
	}
}


cmsmastersMultipleShortcodes.cmsmasters_quote.fields = cmsmasters_quote_new_fields;



/**
 * Counter
 */
var cmsmasters_counter_new_fields = {};


for (var id in cmsmastersMultipleShortcodes.cmsmasters_counter.fields) {
	if (id === 'value_suffix') {
		cmsmasters_counter_new_fields[id] = cmsmastersMultipleShortcodes.cmsmasters_counter.fields[id];
		
		
		cmsmasters_counter_new_fields['value_size'] = { 
			type : 		'input', 
			title : 	cmsmasters_theme_shortcodes.counter_field_value_font_size_title, 
			descr : 	"<span>" + cmsmasters_shortcodes.note + ' ' + cmsmasters_shortcodes.size_note_short + ' ' + cmsmasters_shortcodes.value_zero + "</span>",  
			def : 		'48', 
			required : 	true, 
			width : 	'number', 
			min : 		'0' 
		},
		cmsmasters_counter_new_fields['value_space'] = { 
			type : 		'input', 
			title : 	cmsmasters_theme_shortcodes.counter_field_value_line_height_title, 
			descr : 	"<span>" + cmsmasters_shortcodes.note + ' ' + cmsmasters_shortcodes.size_note_short + ' ' + cmsmasters_shortcodes.value_zero + "</span>", 
			def : 		'60', 
			required : 	true, 
			width : 	'number', 
			min : 		'0' 
		};
	} else {
		cmsmasters_counter_new_fields[id] = cmsmastersMultipleShortcodes.cmsmasters_counter.fields[id];
	}
}


cmsmastersMultipleShortcodes.cmsmasters_counter.fields = cmsmasters_counter_new_fields;



/**
 * Divider
 */
var cmsmasters_divider_new_fields = {};


for (var id in cmsmastersShortcodes.cmsmasters_divider.fields) {
	if (id === 'width') {
		cmsmasters_divider_new_fields[id] = cmsmastersShortcodes.cmsmasters_divider.fields[id];
		
		cmsmasters_divider_new_fields['extrashort'] = { 
			type : 		'radio', 
			title : 	cmsmasters_theme_shortcodes.divider_field_extrashort_title, 
			descr : 	'', 
			def : 		'false', 
			required : 	false, 
			width : 	'half', 
			choises : { 
						'true' : 	'Enable', 
						'false' : 	'Disable' 
			}, 
			depend : 	'width:short' 
		};
	} else if (id==='position') {
		cmsmastersShortcodes.cmsmasters_divider.fields[id]['depend'] = 'extrashort:false';
		
		cmsmasters_divider_new_fields[id] = cmsmastersShortcodes.cmsmasters_divider.fields[id];
	} else {
		cmsmasters_divider_new_fields[id] = cmsmastersShortcodes.cmsmasters_divider.fields[id];
	}	
}


cmsmastersShortcodes.cmsmasters_divider.fields = cmsmasters_divider_new_fields;
