<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.7
 * 
 * Theme Fonts Rules
 * Created by CMSMasters
 * 
 */


function handyman_services_theme_fonts() {
	$cmsmasters_option = handyman_services_get_global_options();
	
	
	$custom_css = "/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.0
 * 
 * Theme Fonts Rules
 * Created by CMSMasters
 * 
 */


/***************** Start Theme Font Styles ******************/

	/* Start Content Font */
	body {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_content_font_google_font']) . $cmsmasters_option['handyman-services' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_content_font_font_style'] . ";
	}
	
	.cmsmasters_archive_item_type,
	.cmsmasters_archive_type .cmsmasters_archive_item_info *,
	.pj_ddn .cmsmasters_project_category,
	.pj_ddn .cmsmasters_project_category a,
	.cmsmasters_quote .wrap_quote_title,
	.cmsmasters_quote .quote_link,
	.cmsmasters_posts_slider .project .cmsmasters_slider_project_category,
	.cmsmasters_posts_slider .project .cmsmasters_slider_project_category a,
	.cmsmasters_posts_slider .cmsmasters_post_cont_info,
	.cmsmasters_posts_slider .cmsmasters_post_cont_info a,
	.cmsmasters_stats.stats_mode_bars .cmsmasters_stat_wrap .cmsmasters_stat_counter_wrap,
	.portfolio .project_outer .cmsmasters_project_category,
	.portfolio .project_outer .cmsmasters_project_category a,
	.post.cmsmasters_post_puzzle .cmsmasters_post_comments span, 
	.post.cmsmasters_post_puzzle .cmsmastersLike span,
	.post_comments .comment-reply-link, 
	.post_comments .commentlist .comment-edit-link,
	.pingslist .pingback .comment-body .comment-edit-link,
	.related_posts_item_cat,
	.related_posts_item_cat a {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_content_font_font_size'] - 1) . "px;
	}
	
	.cmsmasters_quote .wrap_quote_title,
	.cmsmasters_quote .quote_link {
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_content_font_font_size'] - 1) . "px;
	}
	
	.header_top, 
	.header_top a,
	.top_line_nav > li > a,
	.top_line_nav ul li a,
	.footer_nav > li > a {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_content_font_font_size'] - 2) . "px;
	}
	
	.header_top .header_top_left [class^='cmsmasters-icon-']:before, 
	.header_top .header_top_left [class*=' cmsmasters-icon-']:before {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_content_font_font_size'] + 3) . "px;
	}
	
	.cmsmasters_archive_item_type {
		text-transform:uppercase;
	}
	
	.cmsmasters_icon_list_items li:before {
		font-size:" . $cmsmasters_option['handyman-services' . '_content_font_font_size'] . "px;
		line-height:" . ((int)$cmsmasters_option['handyman-services' . '_content_font_line_height'] - 2) . "px;
	}
	
	.cmsmasters_quotes_slider.cmsmasters_quotes_slider_type_box .quote_content {
		line-height:" . ((int)$cmsmasters_option['handyman-services' . '_content_font_line_height'] + 6) . "px;
	}
	/* Finish Content Font */


	/* Start Link Font */
	a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_link_font_google_font']) . $cmsmasters_option['handyman-services' . '_link_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_link_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_link_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_link_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_link_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_link_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_link_font_text_decoration'] . ";
	}
	
	a:hover {
		text-decoration:" . $cmsmasters_option['handyman-services' . '_link_hover_decoration'] . ";
	}
	/* Finish Link Font */


	/* Start Navigation Title Font */
	.header_top, 
	.header_top a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_nav_title_font_google_font']) . $cmsmasters_option['handyman-services' . '_nav_title_font_system_font'] . ";
		font-weight:600;
	}
	
	.navigation > li > a,
	.navigation .menu-item-mega-container > ul > li > a .nav_title {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_nav_title_font_google_font']) . $cmsmasters_option['handyman-services' . '_nav_title_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_nav_title_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_nav_title_font_text_transform'] . ";
	}
	
	.header_mid_but {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_nav_title_font_google_font']) . $cmsmasters_option['handyman-services' . '_nav_title_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_size'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_nav_title_font_text_transform'] . ";
	}
	
	@media only screen and (min-width: 1025px) and (max-width: 1440px) {
		.navigation > li > a {
			font-size:" . ((int)$cmsmasters_option['handyman-services' . '_nav_title_font_font_size'] - 1) . "px;
		}
	}
	/* Finish Navigation Title Font */


	/* Start Navigation Dropdown Font */
	.navigation li > a .nav_tag,
	.navigation li > a .nav_subtitle,
	.navigation ul li a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_nav_dropdown_font_google_font']) . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_text_transform'] . ";
	}
	
	.navigation li > a .nav_subtitle,
	.navigation li > a .nav_tag {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_nav_dropdown_font_font_size'] - 1) . "px;
	}
	
	.navigation li > a .nav_subtitle {
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_nav_dropdown_font_font_size'] - 1) . "px;
	}
	
	@media only screen and (max-width: 1024px) {
		.navigation > li > a, 
		.navigation .menu-item-mega-container > ul > li > a .nav_title {
			font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_nav_dropdown_font_google_font']) . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_system_font'] . ";
			font-size:" . ((int) $cmsmasters_option['handyman-services' . '_nav_dropdown_font_font_size'] + 1) . "px;
			line-height:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_line_height'] . "px;
			font-weight:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_font_weight'] . ";
			font-style:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_font_style'] . ";
			text-transform:" . $cmsmasters_option['handyman-services' . '_nav_dropdown_font_text_transform'] . ";
		}
	}
	/* Finish Navigation Dropdown Font */


	/* Start H1 Font */
	h1,
	h1 a,
	.cmsmasters_header_search_form form input:not([type=submit]):not([type=button]):not([type=radio]):not([type=checkbox]):not([type=image]),
	.cmsmasters_header_search_form form button,
	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_counter_wrap, 
	.counters_type_horizontal .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_counter_wrap span,
	.portfolio.opened-article .project .cmsmasters_project_title,
	.counters_type_horizontal .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_subtitle,
	.portfolio.puzzle .project .cmsmasters_project_title,
	.portfolio.puzzle .project .cmsmasters_project_title a,
	.blog.opened-article .cmsmasters_post_title,
	.post.cmsmasters_post_default .cmsmasters_post_title,
	.post.cmsmasters_post_default .cmsmasters_post_title a,
	.logo .title {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h1_font_google_font']) . $cmsmasters_option['handyman-services' . '_h1_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h1_font_text_decoration'] . ";
	}
	
	.post.cmsmasters_post_timeline .cmsmasters_post_date .cmsmasters_day,
	.cmsmasters_icon_list_items.cmsmasters_icon_list_icon_type_number .cmsmasters_icon_list_item .cmsmasters_icon_list_icon:before,
	.cmsmasters_icon_box.box_icon_type_number:before,
	.cmsmasters_icon_box.cmsmasters_icon_heading_left.box_icon_type_number .icon_box_heading:before {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h1_font_google_font']) . $cmsmasters_option['handyman-services' . '_h1_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['handyman-services' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h1_font_font_style'] . ";
	}
	
	.cmsmasters_dropcap.type1 {
		font-size:36px; /* static */
	}
	
	.cmsmasters_dropcap.type2 {
		font-size:20px; /* static */
	}
	
	.portfolio.puzzle .project .cmsmasters_project_title a {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_font_size'] + 2) . "px;
	}
	
	.headline_outer .headline_inner .headline_icon:before {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_font_size'] + 4) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 10) . "px;
	}
	
	.cmsmasters_header_search_form form input:not([type=submit]):not([type=button]):not([type=radio]):not([type=checkbox]):not([type=image]),
	.cmsmasters_header_search_form form button,
	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_counter_wrap, 
	.cmsmasters_counters.counters_type_horizontal .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_title,
	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner:before {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_font_size'] + 8) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 14) . "px;
	}
	
	.headline_outer .headline_inner.align_center .headline_icon:before {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 14) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 20) . "px;
	}
	
	.counters_type_horizontal .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_counter_wrap span {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_font_size'] + 26) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 30) . "px;
	}
	
	.counters_type_horizontal .one_fifth .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_counter_wrap span {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 16) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 10) . "px;
	}
	
	.headline_outer .headline_inner.align_left .headline_icon {
		padding-left:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 10) . "px;
	}
	
	.headline_outer .headline_inner.align_right .headline_icon {
		padding-right:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 10) . "px;
	}
	
	.headline_outer .headline_inner.align_center .headline_icon {
		padding-top:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] + 30) . "px;
	}
	
	.cmsmasters_counters.counters_type_horizontal .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_subtitle {
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h1_font_line_height'] - 4) . "px;
		font-weight:300;
		text-transform:none;
	}
	/* Finish H1 Font */


	/* Start H2 Font */
	h2,
	h2 a,
	.post_nav > span a,
	.booking_title,
	.pricing_title,
	.header_top .meta_wrap,
	.cmsmasters_footer_default .footer_custom_html_wrap,
	.cmsmasters_pricing_table .cmsmasters_price_wrap,
	.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter_wrap, 
	.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter_wrap, 
	.cmsmasters_counters.counters_type_horizontal .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_title,
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h2_font_google_font']) . $cmsmasters_option['handyman-services' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h2_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h2_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h2_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h2_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h2_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h2_font_text_decoration'] . ";
	}
	
	.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner:before {
		font-size:" . $cmsmasters_option['handyman-services' . '_h2_font_font_size'] . "px;
	}
	
	.cmsmasters_stats.stats_mode_bars.stats_type_vertical .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner:before {
		line-height:" . $cmsmasters_option['handyman-services' . '_h2_font_line_height'] . "px;
	}
	
	.cmsmasters_counters.counters_type_horizontal .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_title {
		font-size:" . ((int)$cmsmasters_option['handyman-services' . '_h2_font_font_size'] + 2) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h2_font_line_height'] - 2) . "px;
	}
	
	.cmsmasters_footer_default .footer_custom_html_wrap {
		font-size:" . ((int)$cmsmasters_option['handyman-services' . '_h2_font_font_size'] + 16) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h2_font_line_height'] + 16) . "px;
	}
	
	@media only screen and (max-width: 540px) {
		.cmsmasters_footer_default .footer_custom_html_wrap {
			font-size:" . ((int)$cmsmasters_option['handyman-services' . '_h2_font_font_size'] + 4) . "px;
			line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h2_font_line_height'] + 6) . "px;
		}
	}
	
	.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_units {
		font-size:16px; /* static */
		line-height:34px; /* static */
	}
	
	.cmsmasters_stats.stats_mode_circles .cmsmasters_stat_wrap .cmsmasters_stat .cmsmasters_stat_inner .cmsmasters_stat_counter {
		font-size:30px; /* static */
		line-height:40px; /* static */
	}
	
	.cmsmasters_pricing_table .cmsmasters_currency,
	.cmsmasters_pricing_table .cmsmasters_coins {
		line-height:30px; /* static */
	}
	
	.cmsmasters_pricing_table .cmsmasters_price {
		font-size:76px; /* static */
		line-height:58px; /* static */
	}
	
	.cmsmasters_counters.counters_type_horizontal .cmsmasters_counter_wrap .cmsmasters_counter.counter_has_icon .cmsmasters_counter_inner {
		padding-" . ((is_rtl()) ? 'right' : 'left') . ":" . ((int) $cmsmasters_option['handyman-services' . '_h2_font_line_height'] + 14) . "px;
	}
	/* Finish H2 Font */


	/* Start H3 Font */
	h3,
	h3 a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h3_font_google_font']) . $cmsmasters_option['handyman-services' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h3_font_text_decoration'] . ";
	}
	
	.cmsmasters_dropcap {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h3_font_google_font']) . $cmsmasters_option['handyman-services' . '_h3_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['handyman-services' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h3_font_text_decoration'] . ";
	}
	
	.bypostauthor > .comment-body .alignleft:before {
		font-size:" . $cmsmasters_option['handyman-services' . '_h3_font_font_size'] . "px;
	}
	
	.bypostauthor > .comment-body .alignleft:before {
		line-height:" . $cmsmasters_option['handyman-services' . '_h3_font_line_height'] . "px;
	}
	
	.bypostauthor > .comment-body .alignleft:before {
		width:" . $cmsmasters_option['handyman-services' . '_h3_font_line_height'] . "px;
	}
	
	.bypostauthor > .comment-body .alignleft:before {
		height:" . $cmsmasters_option['handyman-services' . '_h3_font_line_height'] . "px;
	}
	/* Finish H3 Font */


	/* Start H4 Font */
	h4, 
	h4 a, 
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap > li > ul > li > a, 
	.cmsmasters_sitemap_wrap .cmsmasters_sitemap_category > li > a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h4_font_google_font']) . $cmsmasters_option['handyman-services' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h4_font_text_decoration'] . ";
	}
	
	.about_author .about_author_cont_title, 
	.about_author .about_author_cont_title a, 
	.post_comments .cmsmasters_comment_item_title, 
	.post_comments .cmsmasters_comment_item_title a {
		text-transform:none;
	}
	/* Finish H4 Font */


	/* Start H5 Font */
	h5,
	h5 a,  
	.cmsmasters_twitter_item_content,
	.cmsmasters_twitter_item_content a,
	.share_posts a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h5_font_google_font']) . $cmsmasters_option['handyman-services' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h5_font_text_decoration'] . ";
	}
	/* Finish H5 Font */


	/* Start H6 Font */
	h6,
	h6 a, 
	.post.cmsmasters_post_default .cmsmasters_post_read_more,
	.post.cmsmasters_post_default .cmsmasters_post_date .published,
	.blog.opened-article .post .cmsmasters_post_date,
	.cmsmasters_posts_slider .cmsmasters_post_date,
	.comment-respond .comment-reply-title,
	.cmsmasters_single_slider_no_items,
	.cmsmasters_counters .cmsmasters_counter_wrap .cmsmasters_counter .cmsmasters_counter_inner .cmsmasters_counter_title, 
	.cmsmasters_stats .cmsmasters_stat_wrap .cmsmasters_stat_title, 
	.cmsmasters_pricing_table .cmsmasters_period,
	.cmsmasters_tabs .cmsmasters_tabs_list .cmsmasters_tabs_list_item > a,
	.cmsmasters_toggles .cmsmasters_toggle_wrap .cmsmasters_toggle_title > a,
	.cmsmasters_lpr_cont a,
	.widget_rss li a.rsswidget,
	
	.cmsmasters_table thead th,
	.cmsmasters_table tfoot td {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h6_font_google_font']) . $cmsmasters_option['handyman-services' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h6_font_text_decoration'] . ";
	}
	
	.blog.opened-article .post .cmsmasters_post_date .cmsmasters_mon,
	.post.cmsmasters_post_default .cmsmasters_post_date .cmsmasters_mon,
	.post.cmsmasters_post_timeline .cmsmasters_post_date .cmsmasters_mon {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h6_font_google_font']) . $cmsmasters_option['handyman-services' . '_h6_font_system_font'] . ";
		font-weight:" . $cmsmasters_option['handyman-services' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h6_font_text_decoration'] . ";
	}
	
	.profile_details_title,
	.profile_features_title,
	.profile_social_icons_title,
	.cmsmasters_single_slider_title,
	.comment-respond .comment-reply-title,
	.post_comments_title,
	.about_author_title {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h6_font_font_size'] + 2) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h6_font_line_height'] + 2) . "px;
	}
	
	.cmsmasters_stats.stats_mode_bars.stats_type_horizontal .cmsmasters_stat_inner:before {
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h6_font_line_height'] + 2) . "px;
	}
	
	.cmsmasters_tabs.tabs_mode_tab.lpr .cmsmasters_tabs_list .cmsmasters_tabs_list_item > a {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h6_font_font_size'] - 2) . "px;
	}
	
	/* Finish H6 Font */


	/* Start Button Font */
	.cmsmasters_button, 
	.button, 
	input[type=submit], 
	input[type=button], 
	button, 
	.cmsmasters_items_filter_wrap .cmsmasters_items_filter_list li, 
	.cmsmasters_items_filter_wrap .cmsmasters_items_filter_list li a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_button_font_google_font']) . $cmsmasters_option['handyman-services' . '_button_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_button_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_button_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_button_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_button_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_button_font_text_transform'] . ";
	}
	
	.gform_wrapper .gform_footer input.button, 
	.gform_wrapper .gform_footer input[type=submit] {
		font-size:" . $cmsmasters_option['handyman-services' . '_button_font_font_size'] . "px !important;
	}
	
	.cmsmasters_button.cmsmasters_but_icon_dark_bg, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg, 
	.cmsmasters_button.cmsmasters_but_icon_divider, 
	.cmsmasters_button.cmsmasters_but_icon_inverse {
		padding-left:" . ((int) $cmsmasters_option['handyman-services' . '_button_font_line_height'] + 20) . "px;
	}
	
	.cmsmasters_button.cmsmasters_but_icon_dark_bg:before, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg:before, 
	.cmsmasters_button.cmsmasters_but_icon_divider:before, 
	.cmsmasters_button.cmsmasters_but_icon_inverse:before, 
	.cmsmasters_button.cmsmasters_but_icon_dark_bg:after, 
	.cmsmasters_button.cmsmasters_but_icon_light_bg:after, 
	.cmsmasters_button.cmsmasters_but_icon_divider:after, 
	.cmsmasters_button.cmsmasters_but_icon_inverse:after {
		width:" . $cmsmasters_option['handyman-services' . '_button_font_line_height'] . "px;
	}
	/* Finish Button Font */


	/* Start Small Text Font */
	small,
	.tweet_time,
	.rss-date,
	.cmsmasters_twitter .published,
	.comment-respond .comment-reply-title a,
	.cmsmasters_single_slider .cmsmasters_single_slider_item_date,
	.post.cmsmasters_post_masonry .cmsmasters_post_date,
	.cmsmasters_archive_type .cmsmasters_archive_item_date,
	.post.cmsmasters_post_puzzle .cmsmasters_post_date,
	.cmsmasters_post_comments span,
	.cmsmastersLike span,
	.headline_outer, 
	.headline_outer a, 
	.cmsmasters_breadcrumbs_inner, 
	form .formError .formErrorContent {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_small_font_google_font']) . $cmsmasters_option['handyman-services' . '_small_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_small_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_small_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_small_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_small_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_small_font_text_transform'] . ";
	}
	
	.rss-date,
	.cmsmasters_tabs.lpr .published,
	.cmsmasters_twitter .published {
		font-size:10px;
		text-transform:uppercase;
	}
	
	.cmsmasters_post_comments span,
	.cmsmastersLike span {
		font-size:" . ((int)$cmsmasters_option['handyman-services' . '_small_font_font_size'] + 1) . "px;
	}
	
	.tweet_time,
	.cmsmasters_posts_slider .cmsmasters_post_date,
	.post.cmsmasters_post_masonry .cmsmasters_post_date,
	.cmsmasters_archive_type .cmsmasters_archive_item_date,
	.post.cmsmasters_post_puzzle .cmsmasters_post_date,
	.cmsmasters_single_slider .cmsmasters_single_slider_item_date {
		text-transform:uppercase;
	}
	
	.gform_wrapper .description, 
	.gform_wrapper .gfield_description, 
	.gform_wrapper .gsection_description, 
	.gform_wrapper .instruction {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_small_font_google_font']) . $cmsmasters_option['handyman-services' . '_small_font_system_font'] . " !important;
		font-size:" . $cmsmasters_option['handyman-services' . '_small_font_font_size'] . "px !important;
		line-height:" . $cmsmasters_option['handyman-services' . '_small_font_line_height'] . "px !important;
	}
	/* Finish Small Text Font */


	/* Start Text Fields Font */
	input:not([type=submit]):not([type=button]):not([type=radio]):not([type=checkbox]),
	textarea,
	select,
	option {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_input_font_google_font']) . $cmsmasters_option['handyman-services' . '_input_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_input_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_input_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_input_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_input_font_font_style'] . ";
	}
	
	.header_mid .search_wrap .search_bar_wrap .search_field input {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_input_font_font_size'] - 2) . "px;
	}
	
	.gform_wrapper input:not([type=submit]):not([type=button]):not([type=radio]):not([type=checkbox]),
	.gform_wrapper textarea, 
	.gform_wrapper select {
		font-size:" . $cmsmasters_option['handyman-services' . '_input_font_font_size'] . "px !important;
	}
	/* Finish Text Fields Font */


	/* Start Blockquote Font */
	blockquote,
	q {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_quote_font_google_font']) . $cmsmasters_option['handyman-services' . '_quote_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_quote_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_quote_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_quote_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_quote_font_font_style'] . ";
	}
	/* Finish Blockquote Font */

/***************** Finish Theme Font Styles ******************/


";
	
	
	return apply_filters('handyman_services_theme_fonts_filter', $custom_css);
}

