<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version		1.0.0
 * 
 * Posts Slider Post Template
 * Created by CMSMasters
 * 
 */


$cmsmasters_metadata = explode(',', $cmsmasters_post_metadata);


$title = in_array('title', $cmsmasters_metadata) ? true : false;
$excerpt = (in_array('excerpt', $cmsmasters_metadata) && handyman_services_slider_post_check_exc_cont('post')) ? true : false;
$date = in_array('date', $cmsmasters_metadata) ? true : false;
$categories = (get_the_category() && (in_array('categories', $cmsmasters_metadata))) ? true : false;
$author = in_array('author', $cmsmasters_metadata) ? true : false;
$comments = (comments_open() && (in_array('comments', $cmsmasters_metadata))) ? true : false;
$likes = in_array('likes', $cmsmasters_metadata) ? true : false;
$more = in_array('more', $cmsmasters_metadata) ? true : false;


$cmsmasters_post_format = get_post_format();

?>
<!-- Start Posts Slider Post Article  -->
<article id="post-<?php the_ID(); ?>" <?php post_class('cmsmasters_slider_post'); ?>>
	<div class="cmsmasters_slider_post_cont">
	<?php
		$date ? handyman_services_get_slider_post_date('post') : '';
		
		if (!post_password_required()) {
			if ($cmsmasters_post_format == 'gallery') {
				$cmsmasters_post_images = explode(',', str_replace(' ', '', str_replace('img_', '', get_post_meta(get_the_ID(), 'cmsmasters_post_images', true))));
				
				
				handyman_services_thumb_rollover(get_the_ID(), 'cmsmasters-blog-masonry-thumb', false, true, false, $cmsmasters_post_images, false, false, false, false, true);
			} elseif ($cmsmasters_post_format == 'image') {
				$cmsmasters_post_image_link = explode(',', str_replace(' ', '', str_replace('img_', '', get_post_meta(get_the_ID(), 'cmsmasters_post_image_link', true))));
				
				
				if ($cmsmasters_post_image_link != '') {
					handyman_services_thumb_rollover(get_the_ID(), 'cmsmasters-blog-masonry-thumb', false, true, false, $cmsmasters_post_image_link, false, false, false, false, true);
				} else {
					handyman_services_thumb_rollover(get_the_ID(), 'cmsmasters-blog-masonry-thumb', false, true, false, false, false, false, false, false, true);
				}
			} else {
				handyman_services_thumb_rollover(get_the_ID(), 'cmsmasters-blog-masonry-thumb', false, true, false, false, false, false, false, false, true);
			}
		}
		
		
		echo '<div class="cmsmasters_slider_post_cont_wrap">';
			
			$title ? handyman_services_slider_post_heading(get_the_ID(), 'post', 'h2') : '';
			
			
			if ($author || $categories) {
				echo '<div class="cmsmasters_post_cont_info entry-meta">';
					
					$categories ? handyman_services_get_slider_post_category(get_the_ID(), 'category', 'post') : '';
					
					$author ? handyman_services_get_slider_post_author('post') : '';
					
				echo '</div>';
			}
			
			
			$excerpt ? handyman_services_slider_post_exc_cont('post') : '';
			
			
			if ($more || $likes || $comments) {
				echo '<footer class="cmsmasters_slider_post_footer entry-meta">';
					
					$more ? handyman_services_slider_post_more(get_the_ID()) : '';
					
					if ($likes || $comments) {
						echo '<div class="cmsmasters_slider_post_meta_info">';
							
							$likes ? handyman_services_slider_post_like('post') : '';
							
							$comments ? handyman_services_get_slider_post_comments('post') : '';
							
						echo '</div>';
					}
					
				echo '</footer>';
			}
			
		echo '</div>';
	?>
	</div>
</article>
<!-- Finish Posts Slider Post Article  -->

