<?php 
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version		1.0.0
 * 
 * Footer Template
 * Created by CMSMasters
 * 
 */


$cmsmasters_option = handyman_services_get_global_options();
?>
<div class="footer_border">
	<div class="footer_inner">
		<?php 
		if ($cmsmasters_option['handyman-services' . '_footer_type'] == 'default') {
		?>
			<div class="footer_default_left">
				<?php 
				if (
					$cmsmasters_option['handyman-services' . '_footer_type'] == 'default' && 
					$cmsmasters_option['handyman-services' . '_footer_logo']
				) {
					handyman_services_footer_logo($cmsmasters_option);
				}?>
		
				<span class="footer_copyright copyright">
					<?php 
					if (function_exists('the_privacy_policy_link')) {
						the_privacy_policy_link('', ' / ');
					}
					
					echo esc_html(stripslashes($cmsmasters_option['handyman-services' . '_footer_copyright']));
					?>
				</span>
			</div>
		<?php 
		} else {
		?>
			<span class="footer_copyright copyright">
				<?php 
				if (function_exists('the_privacy_policy_link')) {
					the_privacy_policy_link('', ' / ');
				}
				
				echo esc_html(stripslashes($cmsmasters_option['handyman-services' . '_footer_copyright']));
				?>
			</span>
		<?php 
		}
		if ($cmsmasters_option['handyman-services' . '_footer_type'] == 'default') {
		?>
		<div class="footer_default_right">
			<?php 
			if (
				(
					$cmsmasters_option['handyman-services' . '_footer_type'] == 'default' && 
					$cmsmasters_option['handyman-services' . '_footer_html'] !== ''
				) || (
					$cmsmasters_option['handyman-services' . '_footer_type'] == 'small' && 
					$cmsmasters_option['handyman-services' . '_footer_additional_content'] == 'text' && 
					$cmsmasters_option['handyman-services' . '_footer_html'] !== ''
				)
			) {
				echo '<div class="footer_custom_html_wrap">' . 
					'<div class="footer_custom_html">' . 
						do_shortcode(wp_kses(stripslashes($cmsmasters_option['handyman-services' . '_footer_html']), 'post')) .
					'</div>' . 
				'</div>';
			}
			
			
			if (
				isset($cmsmasters_option['handyman-services' . '_social_icons']) && 
				(
					(
						$cmsmasters_option['handyman-services' . '_footer_type'] == 'default' && 
						$cmsmasters_option['handyman-services' . '_footer_social']
					) || (
						$cmsmasters_option['handyman-services' . '_footer_type'] == 'small' && 
						$cmsmasters_option['handyman-services' . '_footer_additional_content'] == 'social'
					)
				)
			) {
				handyman_services_social_icons();
			}
			
			
			if (
				has_nav_menu('footer') && 
				(
					(
						$cmsmasters_option['handyman-services' . '_footer_type'] == 'default' && 
						$cmsmasters_option['handyman-services' . '_footer_nav']
					) || (
						$cmsmasters_option['handyman-services' . '_footer_type'] == 'small'
					)
				)
			) {
				echo '<div class="footer_nav_wrap">' . 
					'<nav>';
					
					
					wp_nav_menu(array( 
						'theme_location' => 'footer', 
						'menu_id' => 'footer_nav', 
						'menu_class' => 'footer_nav' 
					));
					
					
					echo '</nav>' . 
				'</div>';
			}?>
		</div>	
		<?php 
		} else {
			if (
				$cmsmasters_option['handyman-services' . '_footer_type'] == 'small' && 
				$cmsmasters_option['handyman-services' . '_footer_additional_content'] == 'text' && 
				$cmsmasters_option['handyman-services' . '_footer_html'] !== ''
			) {
				echo '<div class="footer_custom_html_wrap">' . 
					'<div class="footer_custom_html">' . 
						do_shortcode(wp_kses(stripslashes($cmsmasters_option['handyman-services' . '_footer_html']), 'post')) .
					'</div>' . 
				'</div>';
			} elseif ( 
				$cmsmasters_option['handyman-services' . '_footer_type'] == 'small' && 
				$cmsmasters_option['handyman-services' . '_footer_additional_content'] == 'nav'
			) {
				echo '<div class="footer_nav_wrap">' . 
					'<nav>';
					
					
					wp_nav_menu(array( 
						'theme_location' => 'footer', 
						'menu_id' => 'footer_nav', 
						'menu_class' => 'footer_nav' 
					));
					
					
					echo '</nav>' . 
				'</div>';
			} elseif (
				$cmsmasters_option['handyman-services' . '_footer_type'] == 'small' && 
				$cmsmasters_option['handyman-services' . '_footer_additional_content'] == 'social'
			) {
				handyman_services_social_icons();
			}
		}
		?>
	</div>
</div>