<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.8
 * 
 * TGM-Plugin-Activation 2.6.1
 * Created by CMSMasters
 * 
 */


require_once(get_template_directory() . '/framework/class/class-tgm-plugin-activation.php');


if (!function_exists('handyman_services_register_theme_plugins')) {

function handyman_services_register_theme_plugins() { 
	$plugins = array( 
		array( 
			'name'					=> esc_html__('CMSMasters Contact Form Builder', 'handyman-services'), 
			'slug'					=> 'cmsmasters-contact-form-builder', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-contact-form-builder.zip', 
			'required'				=> false, 
			'version'				=> '1.4.7',
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name'					=> esc_html__('CMSMasters Content Composer', 'handyman-services'), 
			'slug'					=> 'cmsmasters-content-composer', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-content-composer.zip', 
			'required'				=> true, 
			'version'				=> '2.3.9',
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		),
		array(
			'name'					=> esc_html__('CMSMasters Custom Fonts', 'handyman-services'),
			'slug'					=> 'cmsmasters-custom-fonts',
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-custom-fonts.zip',
			'required'				=> true,
			'version'				=> '1.0.1',
			'force_activation'		=> false,
			'force_deactivation' 	=> false
		),
		array( 
			'name'					=> esc_html__('CMSMasters Mega Menu', 'handyman-services'), 
			'slug'					=> 'cmsmasters-mega-menu', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-mega-menu.zip', 
			'required'				=> true, 
			'version'				=> '1.2.9',
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		),
		array(
			'name'					=> esc_html__('CMSMasters Importer', 'handyman-services'),
			'slug'					=> 'cmsmasters-importer',
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-importer.zip',
			'required'				=> true,
			'version'				=> '1.0.5',
			'force_activation'		=> false,
			'force_deactivation' 	=> false
		),
		array( 
			'name' 					=> esc_html__('LayerSlider WP', 'handyman-services'), 
			'slug' 					=> 'LayerSlider', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/LayerSlider.zip', 
			'required'				=> false, 
			'version'				=> '6.8.3', 
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name' 					=> esc_html__('Revolution Slider', 'handyman-services'), 
			'slug' 					=> 'revslider', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/revslider.zip', 
			'required'				=> false, 
			'version'				=> '5.4.8.3',
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name'					=> esc_html__('Envato Market', 'handyman-services'), 
			'slug'					=> 'envato-market', 
			'source'				=> 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
			'required'				=> false,
		), 
		array( 
			'name'					=> esc_html__('GDPR Cookie Consent', 'handyman-services'),
			'slug'					=> 'cookie-law-info',
			'required'				=> false 
		), 
		array( 
			'name' 					=> esc_html__('WooCommerce', 'handyman-services'), 
			'slug' 					=> 'woocommerce', 
			'required'				=> false 
		), 
		array( 
			'name' 					=> esc_html__('Contact Form 7', 'handyman-services'), 
			'slug' 					=> 'contact-form-7', 
			'required' 				=> false 
		),  
		array( 
			'name' 					=> esc_html__('Calculated Fields Form', 'handyman-services'), 
			'slug' 					=> 'calculated-fields-form', 
			'required' 				=> false 
		), 
		array( 
			'name' 					=> esc_html__('WordPress SEO by Yoast', 'handyman-services'), 
			'slug' 					=> 'wordpress-seo', 
			'required' 				=> false 
		)
	);
	
	
	$config = array( 
		'id' => 			'handyman-services', 
		'menu' => 			'theme-required-plugins', 
		'strings' => array( 
			'page_title' => 	esc_html__('Theme Required & Recommended Plugins', 'handyman-services'), 
			'menu_title' => 	esc_html__('Theme Plugins', 'handyman-services'), 
			'return' => 		esc_html__('Return to Theme Required & Recommended Plugins', 'handyman-services') 
		) 
	);
	
	
	tgmpa($plugins, $config);
}

}

add_action('tgmpa_register', 'handyman_services_register_theme_plugins');

