<?php 
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version		1.0.8
 * 
 * Theme Settings Defaults
 * Created by CMSMasters
 * 
 */


/* Theme Settings General Default Values */
if (!function_exists('handyman_services_settings_general_defaults')) {

function handyman_services_settings_general_defaults($id = false) {
	$settings = array( 
		'general' => array( 
			'handyman-services' . '_theme_layout' => 		'boxed', 
			'handyman-services' . '_logo_type' => 			'image', 
			'handyman-services' . '_logo_url' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo.png', 
			'handyman-services' . '_logo_url_retina' => 	'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_retina.png',
			'handyman-services' . '_logo_title' => 			get_bloginfo('name') ? get_bloginfo('name') : 'Handyman Services', 
			'handyman-services' . '_logo_subtitle' => 		'', 
			'handyman-services' . '_logo_custom_color' => 	0, 
			'handyman-services' . '_logo_title_color' => 	'', 
			'handyman-services' . '_logo_subtitle_color' => ''
		), 
		'bg' => array( 
			'handyman-services' . '_bg_col' => 			'#f0f0f0', 
			'handyman-services' . '_bg_img_enable' => 	1, 
			'handyman-services' . '_bg_img' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/pattern_bg.jpg', 
			'handyman-services' . '_bg_rep' => 			'repeat', 
			'handyman-services' . '_bg_pos' => 			'top center', 
			'handyman-services' . '_bg_att' => 			'scroll', 
			'handyman-services' . '_bg_size' => 		'auto'
		), 
		'header' => array( 
			'handyman-services' . '_fixed_header' => 				1, 
			'handyman-services' . '_header_overlaps' => 			0,
			'handyman-services' . '_header_top_line' => 			0,
			'handyman-services' . '_header_top_height' => 			'38', 
			'handyman-services' . '_header_top_line_short_info' => 	'', 
			'handyman-services' . '_header_top_line_add_cont' => 	'nav', 
			'handyman-services' . '_header_styles' => 				'default', 
			'handyman-services' . '_header_mid_height' => 			'100', 
			'handyman-services' . '_header_bot_height' => 			'50', 
			'handyman-services' . '_header_search' => 				1, 
			'handyman-services' . '_header_add_cont' => 			'none',
			'handyman-services' . '_header_add_cont_cust_html' => 	'',
			'handyman-services' . '_woocommerce_cart_dropdown' => 	0
		), 
		'content' => array( 
			'handyman-services' . '_layout' => 					'r_sidebar',
			'handyman-services' . '_archives_layout' => 		'r_sidebar',
			'handyman-services' . '_search_layout' => 			'r_sidebar',
			'handyman-services' . '_other_layout' => 			'r_sidebar',
			'handyman-services' . '_heading_alignment' => 		'left', 
			'handyman-services' . '_heading_scheme' => 			'default', 
			'handyman-services' . '_heading_bg_image_enable' => 1,
			'handyman-services' . '_heading_bg_image' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/heading.jpg', 
			'handyman-services' . '_heading_bg_repeat' => 		'no-repeat', 
			'handyman-services' . '_heading_bg_attachment' => 	'scroll', 
			'handyman-services' . '_heading_bg_size' => 		'cover',
			'handyman-services' . '_heading_bg_color' => 		'', 
			'handyman-services' . '_heading_height' => 			'201', 
			'handyman-services' . '_breadcrumbs' => 			1,
			'handyman-services' . '_bottom_scheme' => 			'footer', 
			'handyman-services' . '_bottom_sidebar' => 			0, 
			'handyman-services' . '_bottom_sidebar_layout' => 	'14141414' 
		), 
		'footer' => array( 
			'handyman-services' . '_footer_scheme' => 				'footer', 
			'handyman-services' . '_footer_type' => 				'default',
			'handyman-services' . '_footer_additional_content' => 	'social', 
			'handyman-services' . '_footer_logo' => 				1,
			'handyman-services' . '_footer_logo_url' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer.png',
			'handyman-services' . '_footer_logo_url_retina' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer_retina.png', 
			'handyman-services' . '_footer_nav' => 					1, 
			'handyman-services' . '_footer_social' => 				1, 
			'handyman-services' . '_footer_html' => 				'',
			'handyman-services' . '_footer_copyright' => 			'&copy; 2018 ' . 'Handyman Services' 
		) 
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Theme Settings Fonts Default Values */
if (!function_exists('handyman_services_settings_font_defaults')) {

function handyman_services_settings_font_defaults($id = false) {
	$settings = array( 
		'content' => array( 
			'handyman-services' . '_content_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'14', 
				'line_height' => 		'20', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			) 
		), 
		'link' => array( 
			'handyman-services' . '_link_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'14', 
				'line_height' => 		'20', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'handyman-services' . '_link_hover_decoration' => 	'none' 
		), 
		'nav' => array( 
			'handyman-services' . '_nav_title_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic', 
				'font_size' => 			'16', 
				'line_height' => 		'22', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase' 
			), 
			'handyman-services' . '_nav_dropdown_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'14', 
				'line_height' => 		'22', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			) 
		), 
		'heading' => array( 
			'handyman-services' . '_h1_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic', 
				'font_size' => 			'24', 
				'line_height' => 		'34', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			), 
			'handyman-services' . '_h2_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic', 
				'font_size' => 			'20', 
				'line_height' => 		'26', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'handyman-services' . '_h3_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic', 
				'font_size' => 			'18', 
				'line_height' => 		'24', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'handyman-services' . '_h4_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'16', 
				'line_height' => 		'20', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			), 
			'handyman-services' . '_h5_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic', 
				'font_size' => 			'16', 
				'line_height' => 		'22', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'handyman-services' . '_h6_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic', 
				'font_size' => 			'14', 
				'line_height' => 		'20', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			) 
		), 
		'other' => array( 
			'handyman-services' . '_button_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic', 
				'font_size' => 			'14', 
				'line_height' => 		'42', 
				'font_weight' => 		'bold', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase' 
			), 
			'handyman-services' . '_small_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'12', 
				'line_height' => 		'20', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'handyman-services' . '_input_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Hind:300,400,500,600,700', 
				'font_size' => 			'14', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			),
			'handyman-services' . '_quote_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic', 
				'font_size' => 			'16', 
				'line_height' => 		'26', 
				'font_weight' => 		'700', 
				'font_style' => 		'normal' 
			) 
		),
		'google' => array(
			'handyman-services' . '_google_web_fonts' => array(
				'Titillium+Web:300,300italic,400,400italic,600,600italic,700,700italic|Titillium Web',
				'Roboto:300,300italic,400,400italic,500,500italic,700,700italic|Roboto',
				'Roboto+Condensed:400,400italic,700,700italic|Roboto Condensed',
				'Open+Sans:300,300italic,400,400italic,700,700italic|Open Sans',
				'Open+Sans+Condensed:300,300italic,700|Open Sans Condensed',
				'Droid+Sans:400,700|Droid Sans',
				'Droid+Serif:400,400italic,700,700italic|Droid Serif',
				'PT+Sans:400,400italic,700,700italic|PT Sans',
				'PT+Sans+Caption:400,700|PT Sans Caption',
				'PT+Sans+Narrow:400,700|PT Sans Narrow',
				'PT+Serif:400,400italic,700,700italic|PT Serif',
				'Ubuntu:400,400italic,700,700italic|Ubuntu',
				'Ubuntu+Condensed|Ubuntu Condensed',
				'Headland+One|Headland One',
				'Source+Sans+Pro:300,300italic,400,400italic,700,700italic|Source Sans Pro',
				'Lato:400,400italic,700,700italic|Lato',
				'Cuprum:400,400italic,700,700italic|Cuprum',
				'Oswald:300,400,700|Oswald',
				'Yanone+Kaffeesatz:300,400,700|Yanone Kaffeesatz',
				'Lobster|Lobster',
				'Lobster+Two:400,400italic,700,700italic|Lobster Two',
				'Questrial|Questrial',
				'Raleway:300,400,500,600,700|Raleway',
				'Dosis:300,400,500,700|Dosis',
				'Cutive+Mono|Cutive Mono',
				'Quicksand:300,400,700|Quicksand',
				'Montserrat:400,700|Montserrat',
				'Cookie|Cookie',
				'Hind:300,400,500,600,700|Hind',
				'Poppins:300,400,500,600,700|Poppins'
			)
		)
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// WP Color Picker Palettes
if (!function_exists('cmsmasters_color_picker_palettes')) {

function cmsmasters_color_picker_palettes() {
	$palettes = array( 
		'#000000', 
		'#ffffff', 
		'#d43c18', 
		'#5173a6', 
		'#959595', 
		'#c0c0c0', 
		'#f4f4f4', 
		'#e1e1e1' 
	);
	
	
	return $palettes;
}

}



// Theme Settings Color Schemes Default Colors
if (!function_exists('handyman_services_color_schemes_defaults')) {

function handyman_services_color_schemes_defaults($id = false) {
	$settings = array( 
		'default' => array( // content default color scheme
			'color' => 		'#454545', 
			'link' => 		'#005c8c', 
			'hover' => 		'#3d3d47', 
			'heading' => 	'#1c1c1c', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#f9f9f9', 
			'border' => 	'#e8e8e8', 
			'secondary' => 	'#ffbf11' 
		), 
		'header' => array( // Header color scheme
			'mid_color' => 		'#454545', 
			'mid_link' => 		'#454545', 
			'mid_hover' => 		'#ffbf11', 
			'mid_bg' => 		'#ffffff', 
			'mid_bg_scroll' => 	'rgba(255,255,255,0.9)', 
			'mid_border' => 	'#e8e8e8', 
			'bot_color' => 		'#454545', 
			'bot_link' => 		'#454545', 
			'bot_hover' => 		'#ffbf11', 
			'bot_bg' => 		'#ffffff', 
			'bot_bg_scroll' => 	'rgba(255,255,255,0.9)', 
			'bot_border' => 	'#e8e8e8' 
		), 
		'navigation' => array( // Navigation color scheme
			'title_link' => 			'#454545', 
			'title_link_hover' => 		'#005c8c', 
			'title_link_current' => 	'#005c8c', 
			'title_link_subtitle' => 	'#454545', 
			'title_link_bg' => 			'rgba(255,255,255,0)', 
			'title_link_bg_hover' => 	'rgba(255,255,255,0)', 
			'title_link_bg_current' => 	'rgba(255,255,255,0)', 
			'title_link_border' => 		'rgba(255,255,255,0)', 
			'dropdown_text' => 			'#454545', 
			'dropdown_bg' => 			'#ffffff', 
			'dropdown_border' => 		'#e8e8e8', 
			'dropdown_link' => 			'#454545', 
			'dropdown_link_hover' => 	'#005c8c', 
			'dropdown_link_subtitle' => '#454545', 
			'dropdown_link_highlight' => '#005c8c', 
			'dropdown_link_border' => 	'#e8e8e8' 
		), 
		'header_top' => array( // Header Top color scheme
			'color' => 					'#3d3d47', 
			'link' => 					'#3d3d47', 
			'hover' => 					'#ffba13', 
			'bg' => 					'#ffffff', 
			'border' => 				'#e8e8e8', 
			'title_link' => 			'#3d3d47', 
			'title_link_hover' => 		'#3d3d47', 
			'title_link_bg' => 			'rgba(255,255,255,0)', 
			'title_link_bg_hover' => 	'rgba(255,255,255,0)', 
			'title_link_border' => 		'rgba(255,255,255,0)', 
			'dropdown_bg' => 			'#ffffff', 
			'dropdown_border' => 		'#e8e8e8', 
			'dropdown_link' => 			'#3d3d47', 
			'dropdown_link_hover' => 	'#005c8c', 
			'dropdown_link_highlight' => 'rgba(255,255,255,0)', 
			'dropdown_link_border' => 	'rgba(255,255,255,0)' 
		), 
		'footer' => array( // Footer color scheme
			'color' => 		'rgba(255,255,255,0.45)', 
			'link' => 		'rgba(255,255,255,0.45)', 
			'hover' => 		'#ffffff', 
			'heading' => 	'#ffffff', 
			'bg' => 		'#1c1c1c', 
			'alternate' => 	'#1e1e1e', 
			'border' => 	'rgba(255,255,255,0.1)', 
			'secondary' => 	'#ffbf11' 
		), 
		'first' => array( // custom color scheme 1
			'color' => 		'#ffffff', 
			'link' => 		'#005c8c', 
			'hover' => 		'#3d3d47', 
			'heading' => 	'#1c1c1c', 
			'bg' => 		'#1a6c97', 
			'alternate' => 	'#1a6c97', 
			'border' => 	'#4085a9', 
			'secondary' => 	'#ffbf11' 
		), 
		'second' => array( // custom color scheme 2
			'color' => 		'#ffffff', 
			'link' => 		'#005c8c', 
			'hover' => 		'#3d3d47', 
			'heading' => 	'#ffffff', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'rgba(28,28,28,0.25)', 
			'border' => 	'#337191', 
			'secondary' => 	'#ffbf11' 
		), 
		'third' => array( // custom color scheme 3
			'color' => 		'#454545', 
			'link' => 		'#ffbf11', 
			'hover' => 		'#3d3d47', 
			'heading' => 	'#1c1c1c', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#f9f9f9', 
			'border' => 	'#e8e8e8', 
			'secondary' => 	'#ffbf11' 
		), 
		'fourth' => array( // custom color scheme 4
			'color' => 		'#ffffff', 
			'link' => 		'#387da1', 
			'hover' => 		'#3d3d47', 
			'heading' => 	'#1c1c1c', 
			'bg' => 		'#005c8c', 
			'alternate' => 	'#1a6c97', 
			'border' => 	'#4085a9', 
			'secondary' => 	'#ffbf11' 
		)  
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Elements Default Values
if (!function_exists('handyman_services_settings_element_defaults')) {

function handyman_services_settings_element_defaults($id = false) {
	$settings = array( 
		'sidebar' => array( 
			'handyman-services' . '_sidebar' => 	'' 
		), 
		'icon' => array( 
			'handyman-services' . '_social_icons' => array( 
				'cmsmasters-icon-linkedin|#|' . esc_html__('Linkedin', 'handyman-services') . '|true||', 
				'cmsmasters-icon-facebook|#|' . esc_html__('Facebook', 'handyman-services') . '|true||', 
				'cmsmasters-icon-gplus|#|' . esc_html__('Google', 'handyman-services') . '|true||', 
				'cmsmasters-icon-twitter|#|' . esc_html__('Twitter', 'handyman-services') . '|true||', 
				'cmsmasters-icon-skype|#|' . esc_html__('Skype', 'handyman-services') . '|true||' 
			) 
		), 
		'lightbox' => array( 
			'handyman-services' . '_ilightbox_skin' => 					'dark', 
			'handyman-services' . '_ilightbox_path' => 					'vertical', 
			'handyman-services' . '_ilightbox_infinite' => 				0, 
			'handyman-services' . '_ilightbox_aspect_ratio' => 			1, 
			'handyman-services' . '_ilightbox_mobile_optimizer' => 		1, 
			'handyman-services' . '_ilightbox_max_scale' => 				1, 
			'handyman-services' . '_ilightbox_min_scale' => 				0.2, 
			'handyman-services' . '_ilightbox_inner_toolbar' => 			0, 
			'handyman-services' . '_ilightbox_smart_recognition' => 		0, 
			'handyman-services' . '_ilightbox_fullscreen_one_slide' => 	0, 
			'handyman-services' . '_ilightbox_fullscreen_viewport' => 	'center', 
			'handyman-services' . '_ilightbox_controls_toolbar' => 		1, 
			'handyman-services' . '_ilightbox_controls_arrows' => 		0, 
			'handyman-services' . '_ilightbox_controls_fullscreen' => 	1, 
			'handyman-services' . '_ilightbox_controls_thumbnail' => 	1, 
			'handyman-services' . '_ilightbox_controls_keyboard' => 		1, 
			'handyman-services' . '_ilightbox_controls_mousewheel' => 	1, 
			'handyman-services' . '_ilightbox_controls_swipe' => 		1, 
			'handyman-services' . '_ilightbox_controls_slideshow' => 	0 
		), 
		'sitemap' => array( 
			'handyman-services' . '_sitemap_nav' => 			1, 
			'handyman-services' . '_sitemap_categs' => 		1, 
			'handyman-services' . '_sitemap_tags' => 		1, 
			'handyman-services' . '_sitemap_month' => 		1, 
			'handyman-services' . '_sitemap_pj_categs' => 	1, 
			'handyman-services' . '_sitemap_pj_tags' => 		1 
		), 
		'error' => array( 
			'handyman-services' . '_error_color' => 				'#292929', 
			'handyman-services' . '_error_bg_color' => 			'#fbfbfb', 
			'handyman-services' . '_error_bg_img_enable' => 		0, 
			'handyman-services' . '_error_bg_image' => 			'', 
			'handyman-services' . '_error_bg_rep' => 			'no-repeat', 
			'handyman-services' . '_error_bg_pos' => 			'top center', 
			'handyman-services' . '_error_bg_att' => 			'scroll', 
			'handyman-services' . '_error_bg_size' => 			'cover', 
			'handyman-services' . '_error_search' => 			1, 
			'handyman-services' . '_error_sitemap_button' => 	1, 
			'handyman-services' . '_error_sitemap_link' => 		'' 
		), 
		'code' => array( 
			'handyman-services' . '_custom_css' => 			'', 
			'handyman-services' . '_custom_js' => 			'', 
			'handyman-services' . '_gmap_api_key' => 		'', 
			'handyman-services' . '_api_key' => 				'', 
			'handyman-services' . '_api_secret' => 			'', 
			'handyman-services' . '_access_token' => 		'', 
			'handyman-services' . '_access_token_secret' => 	'' 
		), 
		'recaptcha' => array( 
			'handyman-services' . '_recaptcha_public_key' => 	'', 
			'handyman-services' . '_recaptcha_private_key' => 	'' 
		) 
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Single Posts Default Values
if (!function_exists('handyman_services_settings_single_defaults')) {

function handyman_services_settings_single_defaults($id = false) {
	$settings = array( 
		'post' => array( 
			'handyman-services' . '_blog_post_layout' => 		'r_sidebar', 
			'handyman-services' . '_blog_post_title' => 			1, 
			'handyman-services' . '_blog_post_date' => 			1, 
			'handyman-services' . '_blog_post_cat' => 			1, 
			'handyman-services' . '_blog_post_author' => 		1, 
			'handyman-services' . '_blog_post_comment' => 		1, 
			'handyman-services' . '_blog_post_tag' => 			1, 
			'handyman-services' . '_blog_post_like' => 			1, 
			'handyman-services' . '_blog_post_nav_box' => 		1, 
			'handyman-services' . '_blog_post_nav_order_cat' => 		0, 
			'handyman-services' . '_blog_post_share_box' => 		1, 
			'handyman-services' . '_blog_post_author_box' => 	1, 
			'handyman-services' . '_blog_more_posts_box' => 		'related', 
			'handyman-services' . '_blog_more_posts_count' => 	'4', 
			'handyman-services' . '_blog_more_posts_pause' => 	'0' 
		), 
		'project' => array( 
			'handyman-services' . '_portfolio_project_title' => 			1, 
			'handyman-services' . '_portfolio_project_details_title' => 	esc_html__('Project details', 'handyman-services'), 
			'handyman-services' . '_portfolio_project_date' => 			1, 
			'handyman-services' . '_portfolio_project_cat' => 			1, 
			'handyman-services' . '_portfolio_project_author' => 		1, 
			'handyman-services' . '_portfolio_project_comment' => 		0, 
			'handyman-services' . '_portfolio_project_tag' => 			0, 
			'handyman-services' . '_portfolio_project_like' => 			1, 
			'handyman-services' . '_portfolio_project_link' => 			0, 
			'handyman-services' . '_portfolio_project_share_box' => 		1, 
			'handyman-services' . '_portfolio_project_nav_box' => 		1, 
			'handyman-services' . '_portfolio_project_nav_order_cat' => 		0, 
			'handyman-services' . '_portfolio_project_author_box' => 	1, 
			'handyman-services' . '_portfolio_more_projects_box' => 		'related', 
			'handyman-services' . '_portfolio_more_projects_count' => 	'4', 
			'handyman-services' . '_portfolio_more_projects_pause' => 	'0', 
			'handyman-services' . '_portfolio_project_slug' => 			'project', 
			'handyman-services' . '_portfolio_pj_categs_slug' => 		'pj-categs', 
			'handyman-services' . '_portfolio_pj_tags_slug' => 			'pj-tags' 
		), 
		'profile' => array( 
			'handyman-services' . '_profile_post_title' => 			1, 
			'handyman-services' . '_profile_post_details_title' => 	esc_html__('Profile details', 'handyman-services'), 
			'handyman-services' . '_profile_post_cat' => 			1, 
			'handyman-services' . '_profile_post_comment' => 		1, 
			'handyman-services' . '_profile_post_like' => 			1, 
			'handyman-services' . '_profile_post_nav_box' => 		1, 
			'handyman-services' . '_profile_post_nav_order_cat' => 		0, 
			'handyman-services' . '_profile_post_share_box' => 		1, 
			'handyman-services' . '_profile_post_slug' => 			'profile', 
			'handyman-services' . '_profile_pl_categs_slug' => 		'pl-categs',
			'handyman-services' . '_profile_post_color' => 			'#005c8c' 
		) 
	);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Project Puzzle Proportion */
if (!function_exists('handyman_services_project_puzzle_proportion')) {

function handyman_services_project_puzzle_proportion() {
	return 0.7272;
}

}


/* Project Puzzle Proportion */
if (!function_exists('handyman_services_project_puzzle_large_gar_parameters')) {

function handyman_services_project_puzzle_large_gar_parameters() {
	$parameter = array ( 
		'container_width' 		=> 1160, 
		'bottomStaticPadding' 	=> 2 
	);
	
	
	return $parameter;
}

}


/* Theme Image Thumbnails Size */
if (!function_exists('handyman_services_get_image_thumbnail_list')) {

function handyman_services_get_image_thumbnail_list() {
	$list = array( 
		'cmsmasters-small-thumb' => array( 
			'width' => 		50, 
			'height' => 	50, 
			'crop' => 		true 
		), 
		'cmsmasters-square-thumb' => array( 
			'width' => 		300, 
			'height' => 	300, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Square', 'handyman-services') 
		), 
		'cmsmasters-blog-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	375, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Masonry Blog', 'handyman-services') 
		), 
		'cmsmasters-project-thumb' => array( 
			'width' => 		580, 
			'height' => 	390, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project', 'handyman-services') 
		), 
		'cmsmasters-project-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Project', 'handyman-services') 
		), 
		'post-thumbnail' => array( 
			'width' => 		860, 
			'height' => 	480, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Featured', 'handyman-services') 
		), 
		'cmsmasters-masonry-thumb' => array( 
			'width' => 		860, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry', 'handyman-services') 
		), 
		'cmsmasters-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	750, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Full', 'handyman-services') 
		), 
		'cmsmasters-project-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	648, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project Full', 'handyman-services') 
		), 
		'cmsmasters-full-masonry-thumb' => array( 
			'width' => 		1160, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Full', 'handyman-services') 
		) 
	);
	
	
	return $list;
}

}



/* Project Post Type Registration Rename */
if (!function_exists('handyman_services_project_labels')) {

function handyman_services_project_labels() {
	return array( 
		'name' => 					esc_html__('Projects', 'handyman-services'), 
		'singular_name' => 			esc_html__('Project', 'handyman-services'), 
		'menu_name' => 				esc_html__('Projects', 'handyman-services'), 
		'all_items' => 				esc_html__('All Projects', 'handyman-services'), 
		'add_new' => 				esc_html__('Add New', 'handyman-services'), 
		'add_new_item' => 			esc_html__('Add New Project', 'handyman-services'), 
		'edit_item' => 				esc_html__('Edit Project', 'handyman-services'), 
		'new_item' => 				esc_html__('New Project', 'handyman-services'), 
		'view_item' => 				esc_html__('View Project', 'handyman-services'), 
		'search_items' => 			esc_html__('Search Projects', 'handyman-services'), 
		'not_found' => 				esc_html__('No projects found', 'handyman-services'), 
		'not_found_in_trash' => 	esc_html__('No projects found in Trash', 'handyman-services') 
	);
}

}

// add_filter('cmsmasters_project_labels_filter', 'handyman_services_project_labels');


if (!function_exists('handyman_services_pj_categs_labels')) {

function handyman_services_pj_categs_labels() {
	return array( 
		'name' => 					esc_html__('Project Categories', 'handyman-services'), 
		'singular_name' => 			esc_html__('Project Category', 'handyman-services') 
	);
}

}

// add_filter('cmsmasters_pj_categs_labels_filter', 'handyman_services_pj_categs_labels');


if (!function_exists('handyman_services_pj_tags_labels')) {

function handyman_services_pj_tags_labels() {
	return array( 
		'name' => 					esc_html__('Project Tags', 'handyman-services'), 
		'singular_name' => 			esc_html__('Project Tag', 'handyman-services') 
	);
}

}

// add_filter('cmsmasters_pj_tags_labels_filter', 'handyman_services_pj_tags_labels');



/* Profile Post Type Registration Rename */
if (!function_exists('handyman_services_profile_labels')) {

function handyman_services_profile_labels() {
	return array( 
		'name' => 					esc_html__('Profiles', 'handyman-services'), 
		'singular_name' => 			esc_html__('Profiles', 'handyman-services'), 
		'menu_name' => 				esc_html__('Profiles', 'handyman-services'), 
		'all_items' => 				esc_html__('All Profiles', 'handyman-services'), 
		'add_new' => 				esc_html__('Add New', 'handyman-services'), 
		'add_new_item' => 			esc_html__('Add New Profile', 'handyman-services'), 
		'edit_item' => 				esc_html__('Edit Profile', 'handyman-services'), 
		'new_item' => 				esc_html__('New Profile', 'handyman-services'), 
		'view_item' => 				esc_html__('View Profile', 'handyman-services'), 
		'search_items' => 			esc_html__('Search Profiles', 'handyman-services'), 
		'not_found' => 				esc_html__('No Profiles found', 'handyman-services'), 
		'not_found_in_trash' => 	esc_html__('No Profiles found in Trash', 'handyman-services') 
	);
}

}

// add_filter('cmsmasters_profile_labels_filter', 'handyman_services_profile_labels');


if (!function_exists('handyman_services_pl_categs_labels')) {

function handyman_services_pl_categs_labels() {
	return array( 
		'name' => 					esc_html__('Profile Categories', 'handyman-services'), 
		'singular_name' => 			esc_html__('Profile Category', 'handyman-services') 
	);
}

}

// add_filter('cmsmasters_pl_categs_labels_filter', 'handyman_services_pl_categs_labels');

