<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.4
 * 
 * WooCommerce Colors Rules
 * Created by CMSMasters
 * 
 */


function handyman_services_woocommerce_colors($custom_css) {
	$cmsmasters_option = handyman_services_get_global_options();
	
	
	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();
	
	
	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');
		
		
		$custom_css .= "
/***************** Start {$title} WooCommerce Color Scheme Rules ******************/

	/* Start Main Content Font Color */
	{$rule}.cmsmasters_product .price del, 
	{$rule}.cmsmasters_single_product .price del,
	{$rule}.select2-container .select2-choice, 
	{$rule}.select2-container.select2-drop-above .select2-choice, 
	{$rule}.select2-container.select2-container-active .select2-choice, 
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice, 
	{$rule}.select2-drop.select2-drop-active, 
	{$rule}.select2-drop.select2-drop-above.select2-drop-active,
	{$rule}.select2-container .select2-selection--single .select2-selection__rendered {
		" . cmsmasters_color_css('color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_color']) . "
	}
	/* Finish Main Content Font Color */
	
	
	/* Start Primary Color */
	{$rule}.cmsmasters_dynamic_cart .cmsmasters_dynamic_cart_button span, 
	{$rule}.comment-form-rating .stars > span a:hover, 
	{$rule}.comment-form-rating .stars > span a.active,
	{$rule}.cmsmasters_star_rating .cmsmasters_star_color_wrap,
	{$rule}.shop_table a:not(.button):hover, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .order-total th, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .order-total td, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .cart-subtotal th, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .cart-subtotal td, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .product-name strong, 
	{$rule}.shop_table .product-subtotal span, 
	{$rule}.shop_table.order_details tfoot tr:last-child th, 
	{$rule}.shop_table.order_details tfoot tr:last-child td, 
	{$rule}.shop_table.order_details .product-name strong, 
	{$rule}.shop_table.order_details tfoot tr:first-child th, 
	{$rule}.shop_table.order_details tfoot tr:first-child td, 
	{$rule}ul.order_details, 
	{$rule}.widget_layered_nav ul li a:hover, 
	{$rule}.widget_layered_nav ul li.chosen a, 
	{$rule}.widget_layered_nav_filters ul li a:hover, 
	{$rule}.widget_layered_nav_filters ul li.chosen a, 
	{$rule}.widget_product_categories ul li a:hover, 
	{$rule}.widget_product_categories ul li.current-cat a, 
	{$rule}.widget > .product_list_widget a:hover, 
	{$rule}.widget > .product_list_widget ins .amount, 
	{$rule}.widget_shopping_cart .cart_list .quantity, 
	{$rule}.woocommerce-store-notice .woocommerce-store-notice__dismiss-link {
		" . cmsmasters_color_css('color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_link']) . "
	}
	{$rule}.out-of-stock, 
	{$rule}.stock,
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .buttons .button:hover,
	{$rule}.cmsmasters_product .cmsmasters_product_add_inner .button,
	{$rule}.input-checkbox + label:after, 
	{$rule}.input-radio + label:after, 
	{$rule}input.shipping_method + label:after,
	{$rule}.widget_price_filter .ui-slider-handle, 
	{$rule}.woocommerce-store-notice {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.cmsmasters_divider.cmsmasters_divider_width_custom,
	{$rule}.cmsmasters_product .cmsmasters_product_add_inner .button,
	{$rule}.select2-container.select2-container-active .select2-choice, 
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice, 
	{$rule}.select2-drop.select2-drop-active, 
	{$rule}.select2-drop.select2-drop-above.select2-drop-active,
	{$rule}.select2-container.select2-container--open .select2-selection--single,
	{$rule}.select2-container.select2-container--focus .select2-selection--single {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_link']) . "
	}
	
	{$rule}.cmsmasters_star_rating .cmsmasters_star_trans_wrap {
		color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['handyman-services' . '_' . $scheme . '_link']) . ", 0.3);
	}
	
	{$rule}.cmsmasters_product .cmsmasters_product_add_wrap {
		background-color:rgba(" . cmsmasters_color2rgb($cmsmasters_option['handyman-services' . '_' . $scheme . '_link']) . ", 0.9);
	}
	/* Finish Primary Color */
	
	
	/* Start Highlight Color */
	{$rule}.shop_attributes td {
		" . cmsmasters_color_css('color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_hover']) . "
	}
	
	{$rule}.link_hover_color {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_hover']) . "
	}
	/* Finish Highlight Color */
	
	
	/* Start Headings Color */
	{$rule}.onsale, 
	{$rule}.woocommerce-info, 
	{$rule}.woocommerce-message, 
	{$rule}.woocommerce-error li, 
	{$rule}#page .remove, 
	{$rule}.shop_table thead th, 
	{$rule}.cmsmasters_woo_wrap_result .woocommerce-result-count, 
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .buttons .button, 
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list a, 
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .total strong, 
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .total span, 
	{$rule}.cmsmasters_product .cmsmasters_product_cat, 
	{$rule}.cmsmasters_product .price, 
	{$rule}.cmsmasters_product .price ins, 
	{$rule}.cmsmasters_single_product .price ins, 
	{$rule}.cmsmasters_single_product .price, 
	{$rule}.cmsmasters_single_product .product_meta, 
	{$rule}.shop_attributes th, 
	{$rule}.shop_table, 
	{$rule}.shop_table a:not(.button), 
	{$rule}.cart_totals table, 
	{$rule}.cart_totals table tr.order-total *, 
	{$rule}ul.order_details strong, 
	{$rule}.widget_layered_nav ul li, 
	{$rule}.widget_layered_nav ul li a, 
	{$rule}.widget_layered_nav_filters ul li, 
	{$rule}.widget_layered_nav_filters ul li a, 
	{$rule}.widget_product_categories ul li, 
	{$rule}.widget_product_categories ul li a, 
	{$rule}.widget > .product_list_widget a, 
	{$rule}.widget > .product_list_widget .amount, 
	{$rule}.widget_shopping_cart .cart_list a, 
	{$rule}.widget_shopping_cart .cart_list .quantity .amount, 
	{$rule}.widget_shopping_cart .total, 
	{$rule}.widget_price_filter .price_slider_amount .price_label {
		" . cmsmasters_color_css('color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Headings Color */
	
	
	/* Start Main Background Color */
	{$rule}.out-of-stock, 
	{$rule}.stock, 
	{$rule}.headline_outer .headline_inner .woocommerce-breadcrumb,
	{$rule}.cmsmasters_product .cmsmasters_product_add_inner .button,
	{$rule}.woocommerce-store-notice, 
	{$rule}.woocommerce-store-notice p a, 
	{$rule}.woocommerce-store-notice p a:hover {
		" . cmsmasters_color_css('color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_bg']) . "
	}
	
	{$rule}.input-checkbox + label:before, 
	{$rule}.input-radio + label:before, 
	{$rule}.coupon input:not([type=submit]):not([type=button]):not([type=radio]):not([type=checkbox]), 
	{$rule}input.shipping_method + label:before,
	{$rule}.widget > .product_list_widget li, 
	{$rule}#page .remove, 
	{$rule}.woocommerce-checkout-payment, 
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content,
	{$rule}.widget_price_filter .price_slider,
	{$rule}.cmsmasters_products .product .woocommerce-loop-category__title .count,
	{$rule}.select2-container.select2-container--open .select2-selection--single,
	{$rule}.woocommerce-store-notice .woocommerce-store-notice__dismiss-link {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_bg']) . "
	}
	/* Finish Main Background Color */
	
	
	/* Start Alternate Background Color */
	{$rule}.woocommerce-info, 
	{$rule}.woocommerce-message, 
	{$rule}.woocommerce-error, 
	{$rule}.cmsmasters_added_product_info, 
	{$rule}.select2-container .select2-choice, 
	{$rule}.select2-container.select2-drop-above .select2-choice, 
	{$rule}.select2-container.select2-container-active .select2-choice, 
	{$rule}.select2-container.select2-container-active.select2-drop-above .select2-choice, 
	{$rule}.select2-drop.select2-drop-active, 
	{$rule}.select2-drop.select2-drop-above.select2-drop-active, 
	{$rule}.select2-container .select2-selection--single, 
	{$rule}.shop_table thead th, 
	{$rule}.shop_table .actions, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .order-total th, 
	{$rule}.shop_table.woocommerce-checkout-review-order-table .order-total td, 
	{$rule}.shop_table.order_details tfoot tr:last-child th, 
	{$rule}.shop_table.order_details tfoot tr:last-child td, 
	{$rule}.cart_totals table tr.order-total *,
	{$rule}.widget_price_filter .ui-slider-range {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_alternate']) . "
	}
	/* Finish Alternate Background Color */
	
	
	/* Start Borders Color */
	{$rule}.comment-form-rating .stars > span {
		" . cmsmasters_color_css('color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.cmsmasters_woo_tabs:before, 
	{$rule}div.products:before {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_border']) . "
	}
	
	{$rule}.select2-container .select2-choice, 
	{$rule}.select2-container.select2-drop-above .select2-choice, 
	{$rule}.input-checkbox + label:before, 
	{$rule}.input-radio + label:before, 
	{$rule}input.shipping_method + label:before, 
	{$rule}#page .remove, 
	{$rule}.shop_table, 
	{$rule}.shop_table th, 
	{$rule}.shop_table td, 
	{$rule}.cart_totals table th, 
	{$rule}.cart_totals table td, 
	{$rule}ul.order_details li,  
	{$rule}ul.order_details li strong,  
	{$rule}.widget_price_filter .price_slider, 
	{$rule}.cmsmasters_single_product .cmsmasters_product_title_info_wrap, 
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content, 
	{$rule}.woocommerce-checkout-payment, 
	{$rule}.shop_attributes tr,
	{$rule}.shop_table .cart_item,
	{$rule}.select2-dropdown,
	{$rule}.select2-container .select2-selection--single {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_border']) . "
	}
	/* Finish Borders Color */
	
	/* Start Secondary Color */
	{$rule}#page .remove:hover, 
	{$rule}.widget_shopping_cart .cart_list a:hover, 
	{$rule}.cmsmasters_products .product .woocommerce-loop-category__title .count,
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .buttons .button:hover, 
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list a:hover,
	{$rule}.cmsmasters_product .cmsmasters_product_add_inner .button:hover,
	{$rule}.cmsmasters_product .price > .amount,
	{$rule}.cmsmasters_product .price ins .amount {
		" . cmsmasters_color_css('color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_secondary']) . "
	}
	
	{$rule}.onsale, 
	{$rule}.cmsmasters_dynamic_cart .widget_shopping_cart_content .buttons .button, 
	{$rule}.cmsmasters_product .cmsmasters_product_add_inner .button:hover {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_secondary']) . "
	}
	
	{$rule}.cmsmasters_product .cmsmasters_product_add_inner .button:hover {
		" . cmsmasters_color_css('border-color', $cmsmasters_option['handyman-services' . '_' . $scheme . '_secondary']) . "
	}
	/* Finish Secondary Color */

/***************** Finish {$title} WooCommerce Color Scheme Rules ******************/

";
	}
	
	
	return $custom_css;
}

add_filter('handyman_services_theme_colors_secondary_filter', 'handyman_services_woocommerce_colors');

