<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.4
 * 
 * WooCommerce Fonts Rules
 * Created by CMSMasters
 * 
 */


function handyman_services_woocommerce_fonts($custom_css) {
	$cmsmasters_option = handyman_services_get_global_options();
	
	
	$custom_css .= "
/***************** Start WooCommerce Font Styles ******************/

	/* Start Content Font */
	.shop_table.woocommerce-checkout-review-order-table .product-name,
	.shop_table.woocommerce-checkout-review-order-table .product-name strong,
	.shop_table.woocommerce-checkout-review-order-table .product-name dl, 
	.shop_table.woocommerce-checkout-review-order-table .product-total span,
	.shop_table.order_details .product-name dl {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_content_font_google_font']) . $cmsmasters_option['handyman-services' . '_content_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_content_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_content_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_content_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_content_font_font_style'] . ";
	}
	
	.shop_table.woocommerce-checkout-review-order-table .product-name dl, 
	.shop_table.order_details .product-name dl {
		text-transform:none;
	}
	/* Finish Content Font */
	
	
	/* Start Link Font */
	/* Finish Link Font */
	
	
	/* Start Navigation Title Font */
	.cmsmasters_dynamic_cart .cmsmasters_dynamic_cart_button span {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_nav_title_font_google_font']) . $cmsmasters_option['handyman-services' . '_nav_title_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_nav_title_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_nav_title_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_nav_title_font_text_transform'] . ";
	}
	
	.cmsmasters_dynamic_cart .cmsmasters_dynamic_cart_button span {
		font-size:" . ((int)$cmsmasters_option['handyman-services' . '_nav_title_font_font_size'] - 4) . "px;
		line-height:" . ((int)$cmsmasters_option['handyman-services' . '_nav_title_font_font_size'] - 4) . "px;
	}
	/* Finish Navigation Title Font */
	
	
	/* Start H1 Font */
	.cmsmasters_single_product .price,
	.cmsmasters_product .price {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h1_font_google_font']) . $cmsmasters_option['handyman-services' . '_h2_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h1_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h1_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h1_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h1_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h1_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h1_font_text_decoration'] . ";
	}
	/* Finish H1 Font */
	
	
	/* Start H2 Font */ 
	/* Finish H2 Font */
	
	
	/* Start H3 Font */
	.shop_table thead th, 
	.shop_table.order_details tfoot tr:last-child th, 
	.shop_table.order_details tfoot tr:last-child td, 
	.cart_totals table th, 
	.cart_totals table .cart-subtotal .amount, 
	.cart_totals table .order-total .amount, 
	ul.order_details {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h3_font_google_font']) . $cmsmasters_option['handyman-services' . '_h3_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h3_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h3_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h3_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h3_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h3_font_text_decoration'] . ";
	}
	
	.cmsmasters_product .cmsmasters_product_title,
	.cmsmasters_product .cmsmasters_product_title a,
	.cmsmasters_products .product .woocommerce-loop-category__title {
		font-size:" . $cmsmasters_option['handyman-services' . '_h3_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h3_font_line_height'] . "px;
	}
	
	.cart_totals table th, 
	.cart_totals table .cart-subtotal .amount, 
	.cart_totals table .order-total .amount, 
	.shop_table thead th {
		font-size:" . ((int)$cmsmasters_option['handyman-services' . '_h3_font_font_size'] - 2) . "px;
	}
	/* Finish H3 Font */
	
	
	/* Start H4 Font */ 
	.shop_table.order_details tfoot tr th,
	.cmsmasters_products .woocommerce-loop-category__title {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h4_font_google_font']) . $cmsmasters_option['handyman-services' . '_h4_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h4_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h4_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h4_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h4_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h4_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h4_font_text_decoration'] . ";
	}
	/* Finish H4 Font */
	
	
	/* Start H5 Font */
	.cmsmasters_woo_wrap_result .woocommerce-result-count, 
	.shipping-calculator-button, 
	.shop_table.woocommerce-checkout-review-order-table thead .product-name, 
	.shop_table.woocommerce-checkout-review-order-table .order-total th, 
	.shop_table.woocommerce-checkout-review-order-table .cart-subtotal th,
	.shop_table.woocommerce-checkout-review-order-table .order-total td, 
	.shop_table.woocommerce-checkout-review-order-table .shipping th, 
	.shop_table.order_details tfoot tr td,
	.cmsmasters_single_product .product_meta, 
	ul.order_details strong, 
	.cmsmasters_single_product .price del,
	.cmsmasters_product .price del,
	.widget_layered_nav ul li, 
	.widget_layered_nav ul li a, 
	.widget_layered_nav_filters ul li, 
	.widget_layered_nav_filters ul li a, 
	.widget_product_categories ul li, 
	.widget_product_categories ul li a, 
	.widget_price_filter .price_slider_amount .price_label {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h5_font_google_font']) . $cmsmasters_option['handyman-services' . '_h5_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h5_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h5_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h5_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h5_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h5_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h5_font_text_decoration'] . ";
	}
	
	.shipping-calculator-button, 
	.shop_table.woocommerce-checkout-review-order-table .shipping th, 
	.shop_table.order_details tfoot tr td, 
	ul.order_details strong, 
	.shop_table td > .amount, 
	.shop_table td strong > .amount, 
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .total {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h5_font_font_size'] + 2) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h5_font_line_height'] + 2) . "px;
	}
	
	.cmsmasters_single_product .product_meta {
		font-size:" . ((int) $cmsmasters_option['handyman-services' . '_h5_font_font_size'] - 2) . "px;
		line-height:" . ((int) $cmsmasters_option['handyman-services' . '_h5_font_line_height'] - 2) . "px;
	}
	
	/* Finish H5 Font */
	
	
	/* Start H6 Font */
	.onsale, 
	.out-of-stock, 
	.stock, 
	.woocommerce-MyAccount-navigation ul > li a,
	.widget > .product_list_widget a, 
	.widget_shopping_cart .cart_list a, 
	.widget > .product_list_widget .amount, 
	.shop_table td > .amount, 
	.shop_table td strong > .amount, 
	.shop_attributes th,
	.widget_shopping_cart .cart_list .quantity,
	.widget_shopping_cart .widget_shopping_cart_content .total,
	.widget_shopping_cart .widget_shopping_cart_content .total strong, 
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .total,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .total strong, 
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity,  
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list a {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_h6_font_google_font']) . $cmsmasters_option['handyman-services' . '_h6_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_h6_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_h6_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_h6_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_h6_font_font_style'] . ";
		text-transform:" . $cmsmasters_option['handyman-services' . '_h6_font_text_transform'] . ";
		text-decoration:" . $cmsmasters_option['handyman-services' . '_h6_font_text_decoration'] . ";
	}
	
	.onsale, 
	.out-of-stock {
		font-size:" . ((int)$cmsmasters_option['handyman-services' . '_h6_font_font_size'] - 2) . "px;
	}
	
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list .quantity {
		font-size:" . ((int)$cmsmasters_option['handyman-services' . '_h6_font_font_size'] - 1) . "px;
	}
	
	.widget_shopping_cart .widget_shopping_cart_content .total,
	.widget_shopping_cart .widget_shopping_cart_content .total strong, 
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .total,
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .total strong {
		font-size:" . ((int)$cmsmasters_option['handyman-services' . '_h6_font_font_size'] + 2) . "px;
	}
	
	.widget > .product_list_widget a, 
	.widget_shopping_cart .cart_list a {
		text-transform:uppercase;
	}
	/* Finish H6 Font */
	
	
	/* Start Button Font */
	.cmsmasters_product .cmsmasters_product_add_inner .button {
		line-height:" . ((int)$cmsmasters_option['handyman-services' . '_button_font_line_height'] / 2) . "px;
	}
	/* Finish Button Font */
	
	/* Start Text Fields Font */
	body .select2-dropdown {
		font-family:" . handyman_services_get_google_font($cmsmasters_option['handyman-services' . '_input_font_google_font']) . $cmsmasters_option['handyman-services' . '_input_font_system_font'] . ";
		font-size:" . $cmsmasters_option['handyman-services' . '_input_font_font_size'] . "px;
		line-height:" . $cmsmasters_option['handyman-services' . '_input_font_line_height'] . "px;
		font-weight:" . $cmsmasters_option['handyman-services' . '_input_font_font_weight'] . ";
		font-style:" . $cmsmasters_option['handyman-services' . '_input_font_font_style'] . ";
	}
	/* Finish Text Fields Font */
	
	/* Start Small Text Font */
	/* Finish Small Text Font */
	
	.cmsmasters_product .cmsmasters_product_add_inner .button:hover {
		text-decoration:underline;
	}

/***************** Finish WooCommerce Font Styles ******************/

";
	
	
	return $custom_css;
}

add_filter('handyman_services_theme_fonts_filter', 'handyman_services_woocommerce_fonts');

